libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__file_packed_size(
        mpq_archive_s  *mpq_archive,
        uint32_t        file_number,
        off_t          *packed_size
);

DESCRIPTION

Call libmpq__file_packed_size() to get the packed size of a given file in the archive. It will return a valid size for compressed and imploded files as well as stored only.

The libmpq__file_packed_size() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument file_number is the number of file and the third argument is a reference to the compressed, imploded or stored size packed_size of file.

RETURN VALUE
On success, a zero is returned and on error one of the following constants.

LIBMPQ_ERROR_EXIST
    File does not exist in archive.

SEE ALSO
libmpq__archive_packed_size(3), libmpq__block_packed_size(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2008
    Maik Broemme <mbroemme@plusserver.de>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.